// Copyright (c) 2021, InfluxFramework LLC and contributors
// For license information, please see license.txt

influxframework.ui.form.on('Campaign', {
	refresh: function(frm) {
		influxerp.toggle_naming_series();

		if (frm.is_new()) {
			frm.toggle_display("naming_series", influxframework.boot.sysdefaults.campaign_naming_by=="Naming Series");
		} else {
			cur_frm.add_custom_button(__("View Leads"), function() {
				influxframework.route_options = {"source": "Campaign", "campaign_name": frm.doc.name};
				influxframework.set_route("List", "Lead");
			}, "fa fa-list", true);
		}
	}
});
